package org.fremo.fredl.test;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.htmlunit.HtmlUnitDriver;
//import org.openqa.selenium.support.ui.ExpectedCondition;
//import org.openqa.selenium.support.ui.WebDriverWait;
import org.testng.Assert;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

public class BasicTest  {
        private WebDriver driver;
	String URL = "https://0.fredldev.fremo-net.eu";

	@BeforeClass
	public void testSetUp() {
		
		driver = new HtmlUnitDriver(true);
	}
	
	@Test
	public void verifyFredlPageTitle() {
		driver.navigate().to(URL);
		String getTitle = driver.getTitle();
		Assert.assertEquals(getTitle, "FREDL");
	}

	@Test
	public void verifyLoginAsSystemUser() {
		driver.navigate().to(URL);
                WebElement element =
                driver.findElement(By.name("name")).sendKeys("system");
                driver.findElement(By.name("password")).sendKeys("system");
                driver.submit();
                driver.switchTo().frame("oben");
		String versionInfo = driver.findElement(By.xpath("/table/tr/td/b")).getText();
		String userInfo = driver.findElement(By.xpath("/table/tr/td[3]")).getText();
                System.out.println("Version info found: " + versionInfo);
                System.out.println("User info found: " + userInfo);
                driver.switchTo().frame("rechts");
		String welcomeMessage = driver.findElement(By.xpath("/h1")).getText();
                System.out.println("Welcome message is: " + welcomeMessage);
		Assert.assertEquals(welcomeMessage, "Willkommen bei FreDL");
	}
	
	@AfterClass
	public void tearDown() {
		driver.quit();
	}
}
